Bug 1772199 - Provide configuration option to disable UUID uniqueness constraint in Satellite 6 [NEEDINFO]
Summary: Provide configuration option to disable UUID uniqueness constraint in Satelli...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
: 1785879 (view as bug list)
Depends On: 1787599 1787601 1774640 1787600
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-13 21:24 UTC by Mike McCune
Modified: 2020-04-14 13:27 UTC (History)
6 users (show)

Fixed In Version: candlepin-2.9.24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1774640 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:
saydas: needinfo? (mmccune)


Attachments (Terms of Use)
verification screenshot (40.32 KB, image/png)
2020-03-11 18:07 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:19 UTC

Description Mike McCune 2019-11-13 21:24:26 UTC
Due to growing customer concern about the UUID consolidation work that was done in 6.5 and the conflicts it is causing during host registration, we are going to add a switch to Candlepin to disable the constraint.

The main Satellite 6 product bug can be found here:

https://bugzilla.redhat.com/show_bug.cgi?id=1749785

This bug is to track the effort to add the switch and configuration to Candlepin.

Comment 5 Mike McCune 2020-02-21 16:21:22 UTC
*** Bug 1785879 has been marked as a duplicate of this bug. ***

Comment 8 Mike McCune 2020-03-11 17:25:10 UTC
Configuration value in /etc/candlepin/candlepin.conf:

candlepin.use_system_uuid_for_matching = false

Comment 9 jcallaha 2020-03-11 18:07:08 UTC
Verified in Satellite 6.7 Snap 16

Steps:
1. Added following configuration line to /etc/candlepin/candlepin.conf
    candlepin.use_system_uuid_for_matching=false
2. Restarted satellite services (for good measure)
3. Set the uuid to be the same on two hosts
    echo '{"virt.uuid": "4546B285-6C41-5D6R-86G5-0BFR4B3625FD", "virt.is_guest":"True"}' > /etc/rhsm/facts/virt_uuid.facts
4. Registered both hosts to the satellite

Result:
Both hosts were correctly registered and received unique subscription ids.

See attached screenshot for verification.

Comment 10 jcallaha 2020-03-11 18:07:36 UTC
Created attachment 1669411 [details]
verification screenshot

Comment 14 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.